 ******************** (C) COPYRIGHT 2010 NXPSemiconductors *******************
 * @file    PWR\NMI_PowerDown\abstract.txt 
 * @author  NXP MCU SW Application Team
 * @version 2.0
 * @date    
 * @brief   Description of the NMI PowerDown example.
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 ******************************************************************************
  
@Example description:
	Purpose:
		This example describes how to enter system in PowerDown mode and wake-up it 
		by using NMI (Non-Maskable Interrupt)
	Process:
		NMI(Non-Maskable Interrupt) is the highest priority interrupt, it takes effect 
		as soon as it registers. When connect, a logic 1 on the pin will cause the NMI 
		to be processed.
		Select P2.10 as NMI pin
		At the first time, sure that NMI pin has logic 1 because if it connects with
		ground -> ISP is pulled low, system will enter in ISP mode.  
		After that, call CLKPWR_PowerDown() to enter system in PowerDown mode 
		(Note: In this time, NMI pin must be connected with ground to disable NMI 
		interrupt). 
		When system is PowerDowning..., pulls up NMI to logic 1, NMI occurs 
		and wake-up system. 
					
@Directory contents:
	\EWARM: includes EWARM (IAR) project and configuration files
	\Keil:	includes RVMDK (Keil)project and configuration files 
	
	lpc17xx_libcfg.h: Library configuration file - include needed driver library for this example 
	makefile: Example's makefile (to build with GNU toolchain)
	nmi_powerdown.c: Main program

@How to run:
	Hardware configuration:		
		This example was tested only on:
			Keil MCB1700 with LPC1768 vers.1
				These jumpers must be configured as following:
				- VDDIO: ON
				- VDDREGS: ON 
				- VBUS: ON
				- Remain jumpers: OFF
			IAR LPC1768 KickStart vers.A
				These jumpers must be configured as following:
				- PWR_SEL: depend on power source
				- DBG_EN : ON
				- Remain jumpers: OFF
				
		Serial display configuration:(e.g: TeraTerm, Hyperterminal, Flash Magic...) 
			 115200bps 
			 8 data bit 
			 No parity 
			 1 stop bit 
			 No flow control 
	
	Running mode:
		This example can run on RAM/ROM mode.
					
		Note: If want to burn hex file to board by using Flash Magic, these jumpers need
		to be connected:
			- MCB1700 with LPC1768 ver.1:
				+ RST: ON
				+ ISP: ON
			- IAR LPC1768 KickStart vers.A:
				+ RST_E: ON
				+ ISP_E: ON
		
		(Please reference "LPC1000 Software Development Toolchain" - chapter 4 "Creating and working with
		LPC1000CMSIS project" for more information)
	
	Step to run:
		- Step 1: Build example.
		- Step 2: Burn hex file into board (if run on ROM mode)
		- Step 3: Connect UART0 on this board to COM port on your computer
		- Step 4: Configure hardware and serial display as above instruction 
		- Step 5: Run example and observe on serial display
					+ First, sure that NMI pin (P2.10) has logic 1 
					+ Press "RESET" button to run example
					+ Connect P2.10 with ground to disable NMI interrupt
					+ Press '1' to enter system in DeepSleep mode
					+ After sleeping..., pull up P2.10 to generate NMI interrupt to wake-up system
			
		(Pls see "LPC17xx Example Description" document - chapter "Examples > PWR > NMI_PowerDown"
		for more details)
		
@Tip:
	- Open \EWARM\*.eww project file to run example on IAR
	- Open \RVMDK\*.uvproj project file to run example on Keil
	- On MCB1700 board, it doesn't have a wiring ground pin output, so you can use UMODE.3 instead
	(reference MCB1700 datasheet for more information)